Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQContentHeader

    java.lang.Object
      com.rabbitmq.client.impl.AMQContentHeader

All Implemented Interfaces:
  ContentHeader, java.lang.Cloneable

Direct Known Subclasses:
  AMQBasicProperties

    public abstract class AMQContentHeader

extends java.lang.Object
implements ContentHeader

Implementation of ContentHeader - specialized by autogenerated code in AMQP.java.

Constructor Summary
`protected` | `AMQContentHeader()`
`protected` | `AMQContentHeader(java.io.DataInputStream in)`

Method Summary
`void` | `appendPropertyDebugStringTo(java.lang.StringBuilder acc)` Public API - A debugging utility - enable properties to be appended to a string buffer for use as trace messages.
`java.lang.Object` | `clone()`
`long` | `getBodySize()`
`Frame` | `toFrame(int channelNumber, long bodySize)` Private API - Called by `AMQCommand.transmit(com.rabbitmq.client.impl.AMQChannel)`
`java.lang.String` | `toString()`
`abstract void` | `writePropertiesTo(ContentHeaderPropertyWriter writer)` Private API - Autogenerated writer for this header

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rabbitmq.client.ContentHeader
`getClassId, getClassName`

Constructor Detail

### AMQContentHeader

    protected AMQContentHeader()

### AMQContentHeader

    protected AMQContentHeader(java.io.DataInputStream in)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getBodySize

    public long getBodySize()

### writePropertiesTo

    public abstract void writePropertiesTo(ContentHeaderPropertyWriter writer)
                                    throws java.io.IOException

  Private API - Autogenerated writer for this header

  Throws:
    `java.io.IOException`

### appendPropertyDebugStringTo

    public void appendPropertyDebugStringTo(java.lang.StringBuilder acc)

  Public API - A debugging utility - enable properties to be appended to a string buffer for use as trace messages.

  Specified by:
    `appendPropertyDebugStringTo` in interface `ContentHeader`
  Parameters:
    `acc` - a place to append the properties as a string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toFrame

    public Frame toFrame(int channelNumber,
                         long bodySize)
                  throws java.io.IOException

  Private API - Called by `AMQCommand.transmit(com.rabbitmq.client.impl.AMQChannel)`

  Throws:
    `java.io.IOException`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD